BIM Coordinator Program (INT) April 22, 2024

Find the next step in your career as a Graphisoft Certified BIM Coordinator!

Archicad C++ API
About Archicad add-on development using the C++ API.

Warning: The file is an outdated Add-On that cannot be used with this ARCHICAD version.

Anonymous
Not applicable
Hello everyone,

I have created an add-on for ArchiCAD, and all work`s fine. But when I using Amazon Aws SDK for c++, I get a warning when loading the plugin in ArchiCAD. Warning "The file is an outdated Add-On that cannot be used with this ARCHICAD version.".
ArchiCAD may already have its own AWS module and I am having conflicts with different AWS modules.
Could you help me resolve this problem?
1 REPLY 1
Tibor Lorantfy
Graphisoft Alumni
Graphisoft Alumni
Hi Konstantin,

The built Add-On is a special DLL on Windows, and bundle package on macOS. Archicad loads the Add-On into the memory and tries to find the dependencies of the Add-On.
On Windows Archicad searches the dependencies in the same folder as Archicad.exe (so not next to your Add-On).
On macOS Archicad searches the dependencies in the folder named Support next to the Archicad.app.
Please make sure you placed the dependent libraries into the correct folder!
Learn and get certified!